docs

# MainButton

external class MainButton
Content copied to clipboard

## Constructors

MainButton
Link copied to clipboard
fun MainButton ()
Content copied to clipboard

## Functions

disable
Link copied to clipboard
fun disable (): MainButton
Content copied to clipboard
enable
Link copied to clipboard
fun enable (): MainButton
Content copied to clipboard
hide
Link copied to clipboard
fun hide (): MainButton
Content copied to clipboard
hideProgress
Link copied to clipboard
fun hideProgress (): MainButton
Content copied to clipboard
setText
Link copied to clipboard
fun setText (text: String ): MainButton
Content copied to clipboard
show
Link copied to clipboard
fun show (): MainButton
Content copied to clipboard
showProgress
Link copied to clipboard
fun showProgress (leaveActive: Boolean = definedExternally): MainButton
Content copied to clipboard

## Properties

color
Link copied to clipboard
var color : String
Content copied to clipboard
isActive
Link copied to clipboard
val isActive : Boolean
Content copied to clipboard
isProgressVisible
Link copied to clipboard
val isProgressVisible : Boolean
Content copied to clipboard
isVisible
Link copied to clipboard
val isVisible : Boolean
Content copied to clipboard
text
Link copied to clipboard
val text : String
Content copied to clipboard
textColor
Link copied to clipboard
var textColor : String
Content copied to clipboard

## Extensions

onClick
Link copied to clipboard
fun MainButton . onClick (eventHandler: EventHandler ): MainButton
Content copied to clipboard
setParams
Link copied to clipboard
fun MainButton . setParams (params: MainButtonParams ): MainButton
Content copied to clipboard